Edgewall Software
Modify

Opened 11 years ago

Closed 11 years ago

#7579 closed defect (worksforme)

Trac 0.11rc1 notification error

Reported by: lsiniscalco@… Owned by: Emmanuel Blot
Priority: high Milestone:
Component: notification Version: 0.11-stable
Severity: critical Keywords: Notification error
Cc: Branch:
Release Notes:
API Changes:

Description (last modified by Remy Blank)

SO: WINXP SP2 TRAC: Trac 0.11rc1 APACHE 2.2 PYTHON 2.5 MOD_PYTHON 3.3.1 - py2.5 - Apache 2.2

No Windows Domain, it's a WORKGROUP call WORKGROUP.

WinXP SMTP on IIS, enable on IP address 192.168.0.1 port 25, anonym access.

This PC have two network lan connection. One on 192.168.0.1 and other one on 192.168.0.200.

C:\Documents and Settings\Administrador>ipconfig /all

Configuración IP de Windows

        Nombre del host . . . . . . . . . : SVNSERVER
        Sufijo DNS principal  . . . . . . :
        Tipo de nodo . . . . . . . . . .  : desconocido
        Enrutamiento habilitado. . . . . .: No
        Proxy WINS habilitado. . . . .    : No

Adaptador Ethernet Conexión de área local          :

        Sufijo de conexión específica DNS :
        Descripción. . . . . . . . . . .  : Broadcom 440x 10/100 Integrated Con
roller
        Dirección física. . . . . . . . . : 00-1D-09-09-37-58
        DHCP habilitado. . . . . . . . .  : No
        Dirección IP. . . . . . . . . . . : 192.168.0.1
        Máscara de subred . . . . . . . . : 255.255.255.0
        Puerta de enlace predeterminada   : 192.168.0.2
        Servidores DNS . . . . . . . . . .: 192.168.0.2

Adaptador Ethernet Conexión de área local 2          :

        Sufijo de conexión específica DNS :
        Descripción. . . . . . . . . . .  : NIC TX PCI 10/100 de 3Com EtherLink
XL (3C905B-TX)
        Dirección física. . . . . . . . . : 00-10-5A-A0-DC-C2
        DHCP habilitado. . . . . . . . .  : No
        Dirección IP. . . . . . . . . . . : 192.168.0.200
        Máscara de subred . . . . . . . . : 255.255.255.0
        Puerta de enlace predeterminada   : 192.168.0.2

C:\Documents and Settings\Administrador>

This PC is connected to wan via ADSL throw a Zyxel P-600 router. No filter and firewall problems detected on router.(see tests below) No problems detected on McAfee firewall.(see tests below)

trac.ini

[notification]
admit_domains = trac.com.ar
always_notify_owner = true
always_notify_reporter = true
always_notify_updater = true
ignore_domains = 
mime_encoding = base64
smtp_always_bcc = 
smtp_always_cc = 
smtp_default_domain = 
smtp_enabled = true
smtp_from = ardeabb@trac.com.ar
smtp_from_name = TracC00329
smtp_password = 
smtp_port = 25
smtp_replyto = ardeabb@trac.com.ar
smtp_server = 192.168.0.1
smtp_subject_prefix = __default__
smtp_user = 
ticket_subject_template = $prefix #$ticket.id: $summary
use_public_cc = false
use_short_addr = false
use_tls = false

When we create a new ticket, the log report is:

2008-09-01 09:43:26,717 Trac[main] DEBUG: Dispatching <Request "POST u'/newticket'">
2008-09-01 09:43:27,108 Trac[web_ui] ERROR: Failure sending notification on creation of ticket #17: (10053, 'Software caused connection abort')
Traceback (most recent call last):
  File "c:\archivos de programa\python25\lib\site-packages\Trac-0.11b2-py2.5.egg\trac\ticket\web_ui.py", line 921, in _do_create
    tn.notify(ticket, newticket=True)
  File "c:\archivos de programa\python25\lib\site-packages\Trac-0.11b2-py2.5.egg\trac\ticket\notification.py", line 149, in notify
    NotifyEmail.notify(self, ticket.id, subject)
  File "c:\archivos de programa\python25\lib\site-packages\Trac-0.11b2-py2.5.egg\trac\notification.py", line 241, in notify
    Notify.notify(self, resid)
  File "c:\archivos de programa\python25\lib\site-packages\Trac-0.11b2-py2.5.egg\trac\notification.py", line 129, in notify
    self.begin_send()
  File "c:\archivos de programa\python25\lib\site-packages\Trac-0.11b2-py2.5.egg\trac\notification.py", line 313, in begin_send
    self.server = smtplib.SMTP(self.smtp_server, self.smtp_port)
  File "C:\Archivos de programa\Python25\Lib\smtplib.py", line 244, in __init__
    (code, msg) = self.connect(host, port)
  File "C:\Archivos de programa\Python25\Lib\smtplib.py", line 310, in connect
    raise socket.error, msg
error: (10053, 'Software caused connection abort')
2008-09-01 09:43:27,375 Trac[session] DEBUG: Retrieving session for ID u'lucas'

I tried these tests:

1) Python mail:

Python 2.5.2 (r252:60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)] on win32
Type "copyright", "credits" or "license()" for more information.

    ****************************************************************
    Personal firewall software may warn about the connection IDLE
    makes to its subprocess using this computer's internal loopback
    interface.  This connection is not visible on any external
    interface and no data is sent to or received from the Internet.
    ****************************************************************
    
IDLE 1.2.2      
>>> import smtplib
>>> server=smtplib.SMTP('192.168.0.1', 25)
>>> server.sendmail('ardeabb@trac.com.ar', 'lucas.siniscalco@ar.abb.com', 'test message from python')
{}
>>>

The mail was sended and received OK !!

2) EHLO

C:\telnet 192.168.0.1 25

220 SVNSERVER Microsoft ESMTP MAIL Service, Version: 6.0.2600.5512 ready at  Mon
, 1 Sep 2008 10:34:16 -0300
EHLO
250-SVNSERVER Hello [192.168.0.1]
250-SIZE 2097152
250-PIPELINING
250-DSN
250-ENHANCEDSTATUSCODES
250-8bitmime
250-BINARYMIME
250-CHUNKING
250-VRFY
250 OK

3) send mail with opensource bmail tool

C:\Documents and Settings\Administrador>bmail -s 192.168.0.1 -t lucas.siniscalco
@ar.abb.com -f ardeabb@ar.abb.com -a "Prueba bmail" -b "Text body.."

Command Line SMTP Emailer V1.07
Copyright(C) 2002-2004 Craig.Peacock@beyondlogic.org
Opening connection to 192.168.0.1 [192.168.0.1] on port 25
220 SVNSERVER Microsoft ESMTP MAIL Service, Version: 6.0.2600.5512 ready at  Mon
, 1 Sep 2008 10:35:27 -0300
250 2.6.0 <SVNSERVERxj58meYhWl00000002@SVNSERVER> Queued mail for delivery

The mail was sended and received OK !!

Attachments (0)

Change History (1)

comment:1 by Remy Blank, 11 years ago

Description: modified (diff)
Resolution: worksforme
Status: newclosed

This is an InstallationIssue. In particular, your Apache server is probably running under a different account than the account you used for the tests. I would bet on the firewall blocking the connection attempt.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Emmanuel Blot.
The resolution will be deleted. Next status will be 'reopened'.
to as closed The owner will be changed from Emmanuel Blot to the specified user.

Add Comment


E-mail address and name can be saved in the Preferences .
 
Note: See TracTickets for help on using tickets.